package com.nkkj.ups.test;

import com.baomidou.mybatisplus.core.toolkit.Assert;
import com.nkkj.ups.utils.JWT.JwtUtils;
import generator.domain.User;
import generator.mapper.UserMapper;
import io.jsonwebtoken.Claims;
import okhttp3.MediaType;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.IOException;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.List;
@RunWith(SpringRunner.class)
@SpringBootTest
public class SampleTest {

    @Autowired
    private UserMapper userMapper;
    @Autowired
    private JwtUtils jwtUtils;
    @Test
    public void testSelect() throws IOException, InterruptedException {

        OkHttpClient okHttpClient = new OkHttpClient().newBuilder()
                .build();
        Request request1 = new Request.Builder()
                .url("https://iot-api.heclouds.com/thingmodel/query-device-property?product_id=Tz9a5iUEkS&device_name=shante")
                .addHeader("Authorization","version=2022-05-01&res=products%2FTz9a5iUEkS%2Fdevices%2Fshante&et=2079998482&method=md5&sign=Gf925YWwSO7SAlOKY98l2Q%3D%3D")
                .build();
        Response response1 = okHttpClient.newCall(request1).execute();
        String string = response1.body().string();
        System.out.println(string);



        OkHttpClient client = new OkHttpClient().newBuilder()
                .build();
        Request request = new Request.Builder()
                .url("https://iot-api.heclouds.com/thingmodel/query-device-property?product_id=Tz9a5iUEkS&device_name=shante")
                .addHeader("Authorization", "version=2022-05-01&res=products%2FTz9a5iUEkS%2Fdevices%2Fshante&et=2079998482&method=md5&sign=Gf925YWwSO7SAlOKY98l2Q%3D%3D")
                .build();
        Response response = client.newCall(request).execute();
        System.out.println(response.body().string());

//        HttpClient client = HttpClient.newHttpClient();
////        String urlString="http://localhost:5000";
//
//        HttpRequest request=HttpRequest.newBuilder()
//                .setHeader("athorization","version=2018-10-31&res=products%2FTz9a5iUEkS%2Fdevices%2Fshante&et=1824228600&method=md5&sign=19EMD1rm2JVaRWvcCcxH6A%3D%3D")
//                .setHeader("User-Agent", "Apifox/1.0.0 (https://apifox.com)")
//                .setHeader("Accept", "*/*")
//                .uri(URI.create(urlString))
//                .GET()
//                .build();
//        System.out.println(request.headers());
//        HttpResponse<String> response=client.send(request,HttpResponse.BodyHandlers.ofString());
//        System.out.println(response.body());
//        User user = new User();
//        user.setName("32");
//        String token=jwtUtils.createToken(user);
//        System.out.println(token);
//        System.out.println(("----- selectAll method test ------"));
//        Claims claims=jwtUtils.decodeToken(token);
//        System.out.println(claims.getSubject());
//        List<User> userList = userMapper.selectList(null);
////        Assert.isTrue(5 == userList.size(), "太短");
//        userList.forEach(System.out::println);
    }

}